#ifndef BOX_H_
#define BOX_H_

#include "vector3D.h"

class Box
{
	public:
		Box();
		~Box();
		void allocate();
		void deallocate();
		Vector3D pos;
		Vector3D size;
		Vector3D color;

		int texture;
		
		// resolution of accumulation matrix
		int res_x;
		int res_y;
		
		// accumulation matrix
		float *acc;
};

#endif /* BOX_H_ */
