#ifndef CONDITION_VARIABLE_H_
#define CONDITION_VARIABLE_H_

#include <pthread.h>

class ConditionVariable
{
	public:
		ConditionVariable();
		~ConditionVariable();
		void wait();
		void signal();
		void broadcast();
		void lock();
		void unlock();

	private:
		pthread_cond_t condvar;
		pthread_mutex_t mutex;
};

#endif /* CONDITION_VARIABLE_H_ */
