#ifndef FRAMERATE_COUNTER_H_
#define FRAMERATE_COUNTER_H_

#include <string.h>
#include <iostream>
#include <math.h>

#define FPS_BUFFER_SIZE 50

class FramerateCounter
{
	public:
		FramerateCounter();
		
		void add(unsigned int time);
		double getFramerate();

	private:
		unsigned int buf[FPS_BUFFER_SIZE];
		long sum;
		int p;
};

#endif /* FRAMERATE_COUNTER_H_ */
