#include "job.h"

Job::Job()
{
	state = JOB_STATE_BLOCKED;
	forcedThread = -1;
}

Job::~Job() {}

int
Job::getType()
{
	return type;
}

std::string
Job::getDescription()
{
	return desc;
}

void
Job::print()
{
	cout << "State for: " << desc << endl;
	cout << "   State:         ";
	if (state == JOB_STATE_READY) cout << "ready" << endl;
	else if (state == JOB_STATE_RUNNING) cout << "running" << endl;
	else if (state == JOB_STATE_BLOCKED) cout << "blocked" << endl;
	else cout << "Undefined!" << endl;

	cout << "   Parents:       " << nParents << endl;
	cout << "   Parents done:  " << nParentsDone << endl;
	cout << "   Children:      " << nChildren << endl;
	cout << "   Forced thread: " << forcedThread << endl;
}
