#include "mutex.h"

Mutex::Mutex()
{
	pthread_mutex_init(&mut, NULL);
}

Mutex::~Mutex()
{
	pthread_mutex_destroy(&mut);
}

void
Mutex::lock()
{
	pthread_mutex_lock(&mut);
}

void
Mutex::unlock()
{
	pthread_mutex_unlock(&mut);
}
