#include "project_job.h"
#include "utils.h"

ProjectJob::ProjectJob(Configuration& conf, int i)
{
	divideAmongThreads(i, conf.threads, conf.Nz, start, end);
	divideAmongThreads(i, conf.threads, conf.Nz+2, bigZStart, bigZEnd);
	divideAmongThreads(i, conf.threads, conf.Ny+2, bigYStart, bigYEnd);
	type = JOB_PROJECT;
	desc = "Projection job number ";
	desc += '0' + i;
}
