#include "solve_poisson_job.h"
#include "utils.h"

SolvePoissonJob::SolvePoissonJob(Configuration& conf, int i)
{
	divideAmongThreads(i, conf.threads, conf.Nz, start, end);
	type = JOB_SOLVE_POISSON;
	desc = "Solve Poisson job number ";
	desc += '0' + i;
}
