#ifndef UTILS_H_
#define UTILS_H_

#include "opengl.h"
#include <math.h>

#ifndef WIN32
#include <time.h>
#include <sys/time.h>
#endif

class Timer
{
	public:
		Timer();
		unsigned long long time();
		void increment();
		double ddelta();
		unsigned long long idelta();

	private:
		unsigned long long now;
		unsigned long long last;

#ifndef WIN32
		struct timeval temp;
#endif
};

void
divideAmongThreads(int threadId, int threads, int n, int& from, int& to);

#endif /* UTILS_H_ */
