#include "advect_job.h"
#include "utils.h"

AdvectJob::AdvectJob(Configuration& conf, int i)
{
	divideAmongThreads(i, conf.threads, conf.Nz, start, end);
	divideAmongThreads(i, conf.threads, conf.Nz+2, bigZStart, bigZEnd);
	divideAmongThreads(i, conf.threads, conf.Ny+2, bigYStart, bigYEnd);
	type = JOB_ADVECT;
	desc = "Advection job number ";
	desc += '0' + i;
}
