#ifndef BARRIER_H_
#define BARRIER_H_

#include <pthread.h>

class Barrier
{
	public:
		Barrier(int count);
		~Barrier();
		void wait();

	private:
		int count;
		int state;
		int cycle;
		pthread_mutex_t mutex;
		pthread_cond_t cond;
};

#endif /* BARRIER_H_ */
