#include "build_solution_vector_job.h"
#include "utils.h"

BuildSolutionVectorJob::BuildSolutionVectorJob(Configuration& conf, int i)
{
	divideAmongThreads(i, conf.threads, conf.Nz, start, end);
	divideAmongThreads(i, conf.threads, conf.Nz+2, bigZStart, bigZEnd);
	divideAmongThreads(i, conf.threads, conf.Ny+2, bigYStart, bigYEnd);
	type = JOB_BUILD_SOLUTION_VECTOR;
	desc = "Build Solution Vector Job number ";
	desc += '0' + i;
}
