#ifndef CAMERA_H
#define CAMERA_H

#include "opengl.h"
#include "utils.h"

#include <math.h>
#include <iostream>

class Camera
{
	public:
		Camera();
		void updatePosition();
		void setPerspective();
		void setLighting();
		void enable2D();
		void disable2D();
		
		bool forward, backward, left, right, up, down, rotleft, rotright;

	private:
		float x, y, z;
		float xrot, zrot;
		float speed; // units per second
		float rotspeed;
		Timer timer;
};

#endif
