#ifndef INPUT_CONTROLLER_H_
#define INPUT_CONTROLLER_H_

#include "opengl.h"

#include "camera.h"
#include "configuration.h"

class InputController
{
	public:
		InputController(Configuration *conf, Camera *camera);
		~InputController(); 
		void handleKeyUp(int key);
		void handleKeyDown(int key);
		
	private:
		Configuration *conf;
		Camera *camera;
};

#endif /* INPUT_CONTROLLER_H_ */
