#ifndef SNOW_APPLICATION_H_
#define SNOW_APPLICATION_H_

#include "opengl.h"
#include <iostream>
#include <fstream>

#include "utils.h"
#include "snow_simulator.h"
#include "configuration.h"

using namespace std;

class SnowApplication
{
	public:
		SnowApplication(int argc, char **argv);
		~SnowApplication();
		int run();
		
	private:
		int initSDL();
		int initOpenGL();
		void processSDLEvents();
		
		Configuration conf;
};

#endif /* SNOW_APPLICATION_H_ */
