#ifndef SNOWCOVER_JOB_H_
#define SNOWCOVER_JOB_H_

#include "job.h"
#include "configuration.h"

class SnowcoverJob : public Job
{
	public:
		SnowcoverJob(Configuration& conf, int i);
		~SnowcoverJob();
		void dump();

		int *yNormalsFrom;
		int *yNormalsTo;
		int *xNormalsFrom;
		int *xNormalsTo;
		int *yVerticesFrom;
		int *yVerticesTo;
		int *xVerticesFrom;
		int *xVerticesTo;
		int *yFrom;
		int *yTo;
};


#endif /* SNOWCOVER_JOB_H_ */
