#ifndef TEXTURE_H_
#define TEXTURE_H_

#include "opengl.h"
#include <string>
#include <iostream>

class Texture
{
	public:
		Texture(std::string filename);
		~Texture();
		void bind();
	
	private:
		void loadImage(const char *filename);

		SDL_Surface *image;
};

#endif /* TEXTURE_H_ */
