#include "thread.h"

int Thread::start()
{
	return pthread_create(&tid, NULL, &Thread::pthread_entry, (void *) this);
}

int Thread::join()
{
	int status;
	pthread_join(tid, (void **) &status);
	return status;
}

void *Thread::pthread_entry(void *this_obj)
{
	((Thread *) this_obj)->run();
	return (void *) NULL;
}
